| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Upgrade and Remote Patching

Upgrade and Remote Patching Definitions and Methods. More...

## Classes
struct | unsp__RapidStatDataEntry
| RapidStat Data Entry. More...
struct | unsp__RapidStatDataList
| RapidStat Data List. More...
struct | unsp__NodeInfo
| Node Information. More...
struct | unsp__NodeInfoList
| Node Information List. More...
struct | unsp__GetNodeInfoRequest
| Get Node Information request. More...
struct | unsp__GetNodeHealthRequest
| Get Node Health request. More...
struct | unsp__GetNodeInfoResult
| Get Node Information result. More...
struct | unsp__PatchSet
| Patch Set Information. More...
struct | unsp__PatchSetList
| Patch Set List. More...
struct | unsp__GetSisPatchSetListRequest
| Get SIS Patch Set List request. More...
struct | unsp__GetSisPatchSetListResult
| Get SIS Patch Set List result. More...
struct | unsp__GetNodePatchSetListRequest
| Get Node Patch Set List request. More...
struct | unsp__GetNodePatchSetListResult
| Get Node Patch Set List result. More...
struct | unsp__UpgradeRequest
| Upgrade request. More...
struct | unsp__UpgradeResult
| Upgrade result. More...
struct | unsp__UpgradeSecondNodeRequest
| Upgrade Second Node request. More...
struct | unsp__UpgradeSecondNodeResult
| Upgrade Second Node result. More...
struct | unsp__UpgradeStatus
| Upgrade Status Information. More...
struct | unsp__GetUpgradeStatusRequest
| Get Upgrade Status request. More...
struct | unsp__GetUpgradeStatusResult
| Get Upgrade Status result. More...
struct | unsp__UpgradeCommitRequest
| Commit Upgrade request. More...
struct | unsp__UpgradeCommitResult
| Commit Upgrade result. More...
struct | unsp__UpgradeFallbackRequest
| Fallback Upgrade request. More...
struct | unsp__UpgradeFallbackResult
| Fallback Upgrade result. More...
struct | unsp__DeletePatchsetFilesRequest
| Delete Patch Set Files request. More...
struct | unsp__DeletePatchsetFilesResult
| Delete Patch Set Files result. More...

## Enumerations
enum | unsp__NodeId { NodeId1, NodeId2 }
| Openscape Voice Node ID. More...
enum | unsp__NodeRole { RolePrimary, RoleSecondary }
| Openscape Voice Node Role. More...
enum | unsp__RapidStatMessageType { RSWarning, RSError }
| Rapidstat Message Type. More...
enum | unsp__PatchLocation { PatchLocationHIQ, PatchLocationDVD, PatchLocationSIS }
| Indicates the location of Patch Sets. More...
enum | unsp__UpgradeMethod { UpgradeMethodOnline, UpgradeMethodRolling, UpgradeMethodSMU }
| Upgrade Method. More...
enum | unsp__UpgradeState { UpgradeStateUnknown, UpgradeStateNotRunning, UpgradeStateInProgress, UpgradeStateFailed, UpgradeStateFinishedFailed, UpgradeStateFinishedSuccessful, UpgradeStatePreCommited, UpgradeStatePreSecondNodeUpgrade, UpgradeStateFallbackFailed, UpgradeStateFallbackInProgress, UpgradeStateFallbackFinished }
| Upgrade State. More...

## Functions
int | unsp__GetNodeInfo (struct unsp__GetNodeInfoRequest GetNodeInfoRequest, struct unsp__GetNodeInfoResult *GetNodeInfoResult)
| This method retrieves node software version, patch level information, and other data about the system. More...
int | unsp__GetNodeHealth (struct unsp__GetNodeHealthRequest GetNodeHealthRequest, struct unsp__GetNodeInfoResult *GetNodeHealthResult)
| This method is identical to unsp__GetNodeInfo(), except that in addition to the information provided, it also includes the results of the RapidStat utility that can be used to report errors or warnings regarding the status of the switch. More...
int | unsp__GetSisPatchSetList (struct unsp__GetSisPatchSetListRequest GetSisPatchSetListRequest, struct unsp__GetSisPatchSetListResult *GetSisPatchSetListResult)
| This method retrieves the list of all patch sets available on a SIS (Software Installation Server). More...
int | unsp__GetNodePatchSetList (struct unsp__GetNodePatchSetListRequest GetNodePatchSetListRequest, struct unsp__GetNodePatchSetListResult *GetNodePatchSetListResult)
| This method retrieves the list of all patch sets available on a node or on a DVD attached to a node. More...
int | unsp__Upgrade (struct unsp__UpgradeRequest UpgradeRequest, struct unsp__UpgradeResult *UpgradeResult)
| This method initiates an upgrade on the first node of the system. More...
int | unsp__UpgradeSecondNode (struct unsp__UpgradeSecondNodeRequest UpgradeSecondNodeRequest, struct unsp__UpgradeSecondNodeResult *UpgradeSecondNodeResult)
| This method initiates an upgrade on the second node of a system. More...
int | unsp__GetUpgradeStatus (struct unsp__GetUpgradeStatusRequest GetUpgradeStatusRequest, struct unsp__GetUpgradeStatusResult *GetUpgradeStatusResult)
| This method returns the current status of an upgrade operation. More...
int | unsp__UpgradeCommit (struct unsp__UpgradeCommitRequest UpgradeCommitRequest, struct unsp__UpgradeCommitResult *UpgradeCommitResult)
| This method finalizes the upgrade by allowing it to be committed. More...
int | unsp__UpgradeFallback (struct unsp__UpgradeFallbackRequest FallbackRequest, struct unsp__UpgradeFallbackResult *FallbackResult)
| This method performs a fallback of the most recent upgrade attempt. More...
int | unsp__DeletePatchsetFiles (struct unsp__DeletePatchsetFilesRequest DeletePatchsetFilesRequest, struct unsp__DeletePatchsetFilesResult *DeletePatchsetFilesResult)
| This method deletes the specified Patch Set files from an Openscape Voice node. More...

## Detailed Description

Upgrade and Remote Patching Definitions and Methods.

Remote Patching capability allows semi-automating of the upgrade process and allows a remote client to initiate this action. The requests are forwarded to the Upgrade Library for processing.

## Enumeration Type Documentation

## ◆ unsp__NodeId

enum unsp__NodeId

Openscape Voice Node ID.

Enumerator
NodeId1 | 1st Node
NodeId2 | 2nd Node

## ◆ unsp__NodeRole

enum unsp__NodeRole

Openscape Voice Node Role.

Enumerator
RolePrimary | Primary.
RoleSecondary | Secondary.

## ◆ unsp__PatchLocation

enum unsp__PatchLocation

Indicates the location of Patch Sets.

Enumerator
PatchLocationHIQ | Openscape Voice.
PatchLocationDVD | DVD.
PatchLocationSIS | Software Installation Server.

## ◆ unsp__RapidStatMessageType

enum unsp__RapidStatMessageType

Rapidstat Message Type.

Enumerator
RSWarning | Warning.
RSError | Error.

## ◆ unsp__UpgradeMethod

enum unsp__UpgradeMethod

Upgrade Method.

Enumerator
UpgradeMethodOnline | Online.
UpgradeMethodRolling | Rolling.
UpgradeMethodSMU | Split Mode Upgrade.

## ◆ unsp__UpgradeState

enum unsp__UpgradeState

Upgrade State.

Enumerator
UpgradeStateUnknown | Unknown.
UpgradeStateNotRunning | Not running.
UpgradeStateInProgress | In Progress.
UpgradeStateFailed | Failed.
UpgradeStateFinishedFailed | Finished Failed.
UpgradeStateFinishedSuccessful | Finished Successfully.
UpgradeStatePreCommited | Committed.
UpgradeStatePreSecondNodeUpgrade | Second Node Upgrade.
UpgradeStateFallbackFailed | Fallback Failed.
UpgradeStateFallbackInProgress | Fallback In Progress.
UpgradeStateFallbackFinished | Fallback Finished.

## Function Documentation

## ◆ unsp__DeletePatchsetFiles()

unsp__DeletePatchsetFiles | ( | struct unsp__DeletePatchsetFilesRequest | DeletePatchsetFilesRequest,
|  | struct unsp__DeletePatchsetFilesResult * | DeletePatchsetFilesResult
| ) |  |

This method deletes the specified Patch Set files from an Openscape Voice node.

Parameters

  DeletePatchsetFilesRequest | API request
  DeletePatchsetFilesResult | API result

## ◆ unsp__GetNodeHealth()

unsp__GetNodeHealth | ( | struct unsp__GetNodeHealthRequest | GetNodeHealthRequest,
|  | struct unsp__GetNodeInfoResult * | GetNodeHealthResult
| ) |  |

This method is identical to unsp__GetNodeInfo(), except that in addition to the information provided, it also includes the results of the RapidStat utility that can be used to report errors or warnings regarding the status of the switch.

Parameters

  GetNodeHealthRequest | API request
  GetNodeHealthResult | API result

## ◆ unsp__GetNodeInfo()

unsp__GetNodeInfo | ( | struct unsp__GetNodeInfoRequest | GetNodeInfoRequest,
|  | struct unsp__GetNodeInfoResult * | GetNodeInfoResult
| ) |  |

This method retrieves node software version, patch level information, and other data about the system.

Parameters

  GetNodeInfoRequest | API request
  GetNodeInfoResult | API result

## ◆ unsp__GetNodePatchSetList()

unsp__GetNodePatchSetList | ( | struct unsp__GetNodePatchSetListRequest | GetNodePatchSetListRequest,
|  | struct unsp__GetNodePatchSetListResult * | GetNodePatchSetListResult
| ) |  |

This method retrieves the list of all patch sets available on a node or on a DVD attached to a node.

In response to this operation, a list of patch sets is returned.

Parameters

  GetNodePatchSetListRequest | API request
  GetNodePatchSetListResult | API result

## ◆ unsp__GetSisPatchSetList()

unsp__GetSisPatchSetList | ( | struct unsp__GetSisPatchSetListRequest | GetSisPatchSetListRequest,
|  | struct unsp__GetSisPatchSetListResult * | GetSisPatchSetListResult
| ) |  |

This method retrieves the list of all patch sets available on a SIS (Software Installation Server).

Parameters

  GetSisPatchSetListRequest | API request
  GetSisPatchSetListResult | API result

## ◆ unsp__GetUpgradeStatus()

unsp__GetUpgradeStatus | ( | struct unsp__GetUpgradeStatusRequest | GetUpgradeStatusRequest,
|  | struct unsp__GetUpgradeStatusResult * | GetUpgradeStatusResult
| ) |  |

This method returns the current status of an upgrade operation.

Parameters

  GetUpgradeStatusRequest | API request
  GetUpgradeStatusResult | API result

## ◆ unsp__Upgrade()

unsp__Upgrade | ( | struct unsp__UpgradeRequest | UpgradeRequest,
|  | struct unsp__UpgradeResult * | UpgradeResult
| ) |  |

This method initiates an upgrade on the first node of the system.

Parameters

  UpgradeRequest | API request
  UpgradeResult | API result

## ◆ unsp__UpgradeCommit()

unsp__UpgradeCommit | ( | struct unsp__UpgradeCommitRequest | UpgradeCommitRequest,
|  | struct unsp__UpgradeCommitResult * | UpgradeCommitResult
| ) |  |

This method finalizes the upgrade by allowing it to be committed.

Normally performed after verification of system health, call processing, and other checks are completed on the upgraded system.

Parameters

  UpgradeCommitRequest | API request
  UpgradeCommitResult | API result

## ◆ unsp__UpgradeFallback()

int unsp__UpgradeFallback | ( | struct unsp__UpgradeFallbackRequest | FallbackRequest,
|  | struct unsp__UpgradeFallbackResult * | FallbackResult
| ) |  |

This method performs a fallback of the most recent upgrade attempt.

It is used if errors are reported or manual verification checks fail on the upgraded system. Fallback will (attempt to) uninstall the upgrade on both nodes, if applicable.

Parameters

  FallbackRequest | API request
  FallbackResult | API result

## ◆ unsp__UpgradeSecondNode()

unsp__UpgradeSecondNode | ( | struct unsp__UpgradeSecondNodeRequest | UpgradeSecondNodeRequest,
|  | struct unsp__UpgradeSecondNodeResult * | UpgradeSecondNodeResult
| ) |  |

This method initiates an upgrade on the second node of a system.

Normally this operation would be executed after the first node has been upgraded successfully. No data parameters are included in the request, since all necessary information has already been sent via the unsp__Upgrade() method.

Parameters

  UpgradeSecondNodeRequest | API request
  UpgradeSecondNodeResult | API result